Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## com.skype.api
Enum Conversation.PROPERTY

    java.lang.Object
      java.lang.Enum<Conversation.PROPERTY>
          com.skype.api.Conversation.PROPERTY

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<Conversation.PROPERTY>

Enclosing class:
  Conversation

    public static enum Conversation.PROPERTY

extends java.lang.Enum<Conversation.PROPERTY>

Properties of the Conversation class

Enum Constant Summary
`active_vm_id` ID of voice message that is being played or recorded in this conversation, type: Voicemail
`alert_string` '' everything matches, '=' nothing matches, '=string' string matches, type: String
`consumption_horizon` consumption cutoff timestamp: messages after (but not including) this are considered unconsumed, type: int
`creation_timestamp` timestamp of creation (doesn't apply to dialogs), type: int
`creator` identity of conversation creator (doesn't apply to dialogs), type: String
`displayname` resulting display name of the conversation (based on given name, topic, participant list, etc), type: String
`given_displayname` name assigned via GiveDisplayname, type: String
`identity` contact identity in case of dialogs, chat name in case of conferences, type: String
`inbox_message_id` ID of the message that caused INBOX_TIMESTAMP to be set, type: Message
`inbox_timestamp` timestamp to sort the conversations in inbox by.
`is_bookmarked` if conversation is bookmarked/flagged, type: boolean
`last_activity_timestamp` timestamp of last activity in conversation, type: int
`live_host` host of current live session.
`live_is_muted` if live session is muted, type: boolean
`live_start_timestamp` moment when first participant other than host joined the current or last live session, type: int
`local_livestatus` if the conversation is live and in which status it is then, type: LOCAL_LIVESTATUS
`meta_guidelines` guidelines (doesn't apply to dialogs), type: String
`meta_name` user-set name, separate from topic (doesn't apply to dialogs), type: String
`meta_picture` conversation picture, in jpeg format (doesn't apply to dialogs), type: byte[]
`meta_topic` conversation topic (doesn't apply to dialogs), type: String
`my_status` my status in this conversation (connecting, participating, retired, etc) (doesn't apply to dialogs), type: MY_STATUS
`opt_admin_only_activities` activities that only ADMIN can do.
`opt_disclose_history` if history visible to new consumers (doesn't apply to dialogs), type: boolean
`opt_entry_level_rank` rank that is auto-assigned at join (doesn't apply to dialogs), type: Participant.RANK
`opt_joining_enabled` if it's a public conversation (doesn't apply to dialogs), type: boolean
`passwordhint` public conversation password hint, use SetPassword to set (doesn't apply to dialogs), type: String
`spawned_from_convo_id` dialog this conference was spawned from, type: Conversation
`type` type of the conversation, type: Conversation.TYPE
`unconsumed_elevated_messages` DEPRECATED, not set anymore, type: int
`unconsumed_messages_voice` if there are unconsumed voice or call messages in the conversation, type: boolean
`unconsumed_normal_messages` number of messages in UNCONSUMED_NORMAL consumption status, type: int
`unconsumed_suppressed_messages` number of messages in UNCONSUMED_SUPPRESSED consumption status, type: int

Method Summary
`static Conversation.PROPERTY` | `fromString(java.lang.String s)`
`static Conversation.PROPERTY` | `get(int code)`
`int` | `getId()`
`static Conversation.PROPERTY` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static Conversation.PROPERTY[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### identity

    public static final Conversation.PROPERTY identity

  contact identity in case of dialogs, chat name in case of conferences, type: String

### type

    public static final Conversation.PROPERTY type

  type of the conversation, type: Conversation.TYPE

### live_host

    public static final Conversation.PROPERTY live_host

  host of current live session. none => no session. myself in case of 1:1 calls, type: String

### live_start_timestamp

    public static final Conversation.PROPERTY live_start_timestamp

  moment when first participant other than host joined the current or last live session, type: int

### live_is_muted

    public static final Conversation.PROPERTY live_is_muted

  if live session is muted, type: boolean

### alert_string

    public static final Conversation.PROPERTY alert_string

  '' everything matches, '=' nothing matches, '=string' string matches, type: String

### is_bookmarked

    public static final Conversation.PROPERTY is_bookmarked

  if conversation is bookmarked/flagged, type: boolean

### given_displayname

    public static final Conversation.PROPERTY given_displayname

  name assigned via GiveDisplayname, type: String

### displayname

    public static final Conversation.PROPERTY displayname

  resulting display name of the conversation (based on given name, topic, participant list, etc), type: String

### local_livestatus

    public static final Conversation.PROPERTY local_livestatus

  if the conversation is live and in which status it is then, type: LOCAL_LIVESTATUS

### inbox_timestamp

    public static final Conversation.PROPERTY inbox_timestamp

  timestamp to sort the conversations in inbox by. 0 means not in inbox, type: int

### inbox_message_id

    public static final Conversation.PROPERTY inbox_message_id

  ID of the message that caused INBOX_TIMESTAMP to be set, type: Message

### unconsumed_suppressed_messages

    public static final Conversation.PROPERTY unconsumed_suppressed_messages

  number of messages in UNCONSUMED_SUPPRESSED consumption status, type: int

### unconsumed_normal_messages

    public static final Conversation.PROPERTY unconsumed_normal_messages

  number of messages in UNCONSUMED_NORMAL consumption status, type: int

### unconsumed_elevated_messages

    public static final Conversation.PROPERTY unconsumed_elevated_messages

  DEPRECATED, not set anymore, type: int

### unconsumed_messages_voice

    public static final Conversation.PROPERTY unconsumed_messages_voice

  if there are unconsumed voice or call messages in the conversation, type: boolean

### active_vm_id

    public static final Conversation.PROPERTY active_vm_id

  ID of voice message that is being played or recorded in this conversation, type: Voicemail

### consumption_horizon

    public static final Conversation.PROPERTY consumption_horizon

  consumption cutoff timestamp: messages after (but not including) this are considered unconsumed, type: int

### last_activity_timestamp

    public static final Conversation.PROPERTY last_activity_timestamp

  timestamp of last activity in conversation, type: int

### spawned_from_convo_id

    public static final Conversation.PROPERTY spawned_from_convo_id

  dialog this conference was spawned from, type: Conversation

### creator

    public static final Conversation.PROPERTY creator

  identity of conversation creator (doesn't apply to dialogs), type: String

### creation_timestamp

    public static final Conversation.PROPERTY creation_timestamp

  timestamp of creation (doesn't apply to dialogs), type: int

### my_status

    public static final Conversation.PROPERTY my_status

  my status in this conversation (connecting, participating, retired, etc) (doesn't apply to dialogs), type: MY_STATUS

### opt_joining_enabled

    public static final Conversation.PROPERTY opt_joining_enabled

  if it's a public conversation (doesn't apply to dialogs), type: boolean

### opt_entry_level_rank

    public static final Conversation.PROPERTY opt_entry_level_rank

  rank that is auto-assigned at join (doesn't apply to dialogs), type: Participant.RANK

### opt_disclose_history

    public static final Conversation.PROPERTY opt_disclose_history

  if history visible to new consumers (doesn't apply to dialogs), type: boolean

### opt_admin_only_activities

    public static final Conversation.PROPERTY opt_admin_only_activities

  activities that only ADMIN can do. Bitmap of ALLOWED_ACTIVITY values (doesn't apply to dialogs), type: ALLOWED_ACTIVITY

### passwordhint

    public static final Conversation.PROPERTY passwordhint

  public conversation password hint, use SetPassword to set (doesn't apply to dialogs), type: String

### meta_name

    public static final Conversation.PROPERTY meta_name

  user-set name, separate from topic (doesn't apply to dialogs), type: String

### meta_topic

    public static final Conversation.PROPERTY meta_topic

  conversation topic (doesn't apply to dialogs), type: String

### meta_guidelines

    public static final Conversation.PROPERTY meta_guidelines

  guidelines (doesn't apply to dialogs), type: String

### meta_picture

    public static final Conversation.PROPERTY meta_picture

  conversation picture, in jpeg format (doesn't apply to dialogs), type: byte[]

Method Detail

### values

    public static Conversation.PROPERTY[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (Conversation.PROPERTY c : Conversation.PROPERTY.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static Conversation.PROPERTY valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

### getId

    public int getId()

### get

    public static Conversation.PROPERTY get(int code)

### fromString

    public static Conversation.PROPERTY fromString(java.lang.String s)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2010, 2011 Skype Technologies. All Rights Reserved.